Create Pipeline
curl --request POST \
--url https://api.example.com/pipelines/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"current_version": {
"steps": []
}
}
'import requests
url = "https://api.example.com/pipelines/"
payload = {
"name": "<string>",
"description": "<string>",
"current_version": { "steps": [] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', current_version: {steps: []}})
};
fetch('https://api.example.com/pipelines/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"steps": [
{
"name": "<string>",
"config": {
"query": "<string>",
"input_datasets": [
"<string>"
],
"output_datasets": [
"<string>"
],
"job_type": "data-transform"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"cron_schedule": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"reference_notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}pipelines
Create Pipeline
Create a new pipeline.
Args:
- pipeline: Pipeline creation object.
- db: Database session.
- user: Authenticated user.
Returns:
- PipelineRead: The created pipeline.
POST
/
pipelines
/
Create Pipeline
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
⌘I